summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2015-06-28 01:25:04 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-06-28 01:25:04 +0700
commite982744b2fe59949343541a1c0bb2706c514e6e6 (patch)
tree1dfdc99e3efd922e2a2f5da933def14945472ddd
parente974fc53f063a5e4f5b1252d4d4cddaae4eb0b93 (diff)
downloadslackbuilds-e982744b2fe59949343541a1c0bb2706c514e6e6.tar.gz
slackbuilds-e982744b2fe59949343541a1c0bb2706c514e6e6.tar.xz
multimedia/libav: Added (audio and video processing tools).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/libav/README35
-rw-r--r--multimedia/libav/doinst.sh3
-rw-r--r--multimedia/libav/libav.SlackBuild165
-rw-r--r--multimedia/libav/libav.info10
-rw-r--r--multimedia/libav/slack-desc19
5 files changed, 232 insertions, 0 deletions
diff --git a/multimedia/libav/README b/multimedia/libav/README
new file mode 100644
index 0000000000..de5244b37d
--- /dev/null
+++ b/multimedia/libav/README
@@ -0,0 +1,35 @@
+Libav is a friendly and community-driven effort to provide its
+users with a set of portable, functional and high-performance
+libraries for dealing with multimedia formats of all sorts. It
+originates from the FFmpeg codebase, but goes its own way these
+days, providing its users with reliable releases and a clear
+vision how to go forward.
+
+Libav enable features (optional) with passing variables to the
+script VARIABLE=yes|no ./libav.SlackBuild:
+
+FREI0R=yes|no (default: no), requires frei0r
+BS2B=yes|no (default: no), requires libbs2b
+DC1394=yes|no (default: no), requires libdc1394
+FAAC=yes|no (default: no), requires faac
+FDK_ACC=yes|no (default: no), requires libfdk-aac
+ILBC=yes|no (default: no), requires libilbc
+LAME=yes|no (default: no), requires lame
+OPENCORE=yes|no (default: no), requires opencore-amr
+OPENCV=yes|no (default: no), requires opencv
+OPENJPEG=yes|no (default: no), requires openjpeg
+OPUS=yes|no (default: no), requires opus
+PULSEAUDIO=yes|no (default: no), requires pulseaudio
+RTMP=yes|no (default: no), requires rtmpdump
+SCHROEDINGER=yes|no (default: no), requires schroedinger
+SPEEX=yes|no (default: no), requires speex
+TWOLAME=yes|no (default: no), requires twolame
+VPX=yes|no (default: no), requires libvpx
+WEBP=yes|no (default: no), requires libwebp
+X264=yes|no (default: no), requires x264
+X265=yes|no (default: no), requires x265
+XIV=yes|no (default: no), requires xvidcore
+
+All features are available from SlackBuilds.org repository.
+
+NOTE: This package conflict with ffmpeg. Do not install both.
diff --git a/multimedia/libav/doinst.sh b/multimedia/libav/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/libav/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/libav/libav.SlackBuild b/multimedia/libav/libav.SlackBuild
new file mode 100644
index 0000000000..b7cb811340
--- /dev/null
+++ b/multimedia/libav/libav.SlackBuild
@@ -0,0 +1,165 @@
+#!/bin/sh
+
+# Slackware build script for libav
+
+# Copyright 2015 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libav
+VERSION=${VERSION:-11.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# libav configure features
+
+frei0r="" ; [ "${FREI0R:-no}" != "no" ] && frei0r="--enable-frei0r"
+libbs2b="" ; [ "${BS2B:-no}" != "no" ] && libbs2b="--enable-libbs2b"
+libdc1394="" ; [ "${DC1394:-no}" != "no" ] && libdc1394="--enable-libdc1394"
+libfaac="" ; [ "${FAAC:-no}" != "no" ] && libfaac="--enable-libfaac"
+libfdk_aac="" ; [ "${FDK_AAC:-no}" != "no" ] && libfdk_aac="--enable-libfdk-aac"
+libilbc="" ; [ "${ILBC:-no}" != "no" ] && libilbc="--enable-libilbc"
+libmp3lame="" ; [ "${LAME:-no}" != "no" ] && libmp3lame="--enable-libmp3lame"
+libopus="" ; [ "${OPUS:-no}" != "no" ] && libopus="--enable-libopus"
+libpulse="" ; [ "${PULSEAUDIO:-no}" != "no" ] && libpulse="--enable-libpulse"
+librtmp="" ; [ "${RTMP:-no}" != "no" ] && librtmp="--enable-librtmp"
+libspeex="" ; [ "${SPEEX:-no}" != "no" ] && libspeex="--enable-libspeex"
+libtwolame="" ; [ "${TWOLAME:-no}" != "no" ] && libtwolame="--enable-libtwolame"
+libvpx="" ; [ "${VPX:-no}" != "no" ] && libvpx="--enable-libvpx"
+libwebp="" ; [ "${WEBP:-no}" != "no" ] && libwebp="--enable-libwebp"
+libx264="" ; [ "${X264:-no}" != "no" ] && libx264="--enable-libx264"
+libx265="" ; [ "${X265:-no}" != "no" ] && libx265="--enable-libx265"
+libxiv="" ; [ "${XIV:-no}" != "no" ] && libxiv="--enable-libxvid"
+
+libopencore_amrnb="" ; [ "${OPENCORE:-no}" != "no" ] && \
+ libopencore_amrnb="--enable-libopencore-amrwb"
+libopencv="" ; [ "${OPENCV:-no}" != "no" ] && \
+ libopencv="--enable-libopencv"
+libopenjpeg="" ; [ "${OPENJPEG:-no}" != "no" ] && \
+ libopenjpeg="--enable-libopenjpeg"
+libschroedinger="" ; [ "${SCHROEDINGER:-no}" != "no" ] && \
+ libschroedinger="--enable-libschroedinger"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --shlibdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-gpl \
+ --enable-version3 \
+ --enable-nonfree \
+ --disable-static \
+ --enable-shared \
+ --enable-bzlib \
+ --enable-gnutls \
+ --enable-libcdio \
+ --enable-libfreetype \
+ --enable-libtheora \
+ --enable-libvorbis \
+ --enable-openssl \
+ --enable-x11grab \
+ --enable-zlib \
+ --disable-debug \
+ $frei0r \
+ $libbs2b \
+ $libdc1394 \
+ $libfaac \
+ $libfdk_aac \
+ $libilbc \
+ $libmp3lame \
+ $libopencore_amrnb \
+ $libopencv \
+ $libopenjpeg \
+ $libopus \
+ $libpulse \
+ $librtmp \
+ $libschroedinger \
+ $libspeex \
+ $libtwolame \
+ $libvpx \
+ $libwebp \
+ $libx264 \
+ $libx265 \
+ $libxiv \
+ --arch=$ARCH
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* LICENSE README RELEASE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/libav/libav.info b/multimedia/libav/libav.info
new file mode 100644
index 0000000000..aac7123601
--- /dev/null
+++ b/multimedia/libav/libav.info
@@ -0,0 +1,10 @@
+PRGNAM="libav"
+VERSION="11.4"
+HOMEPAGE="https://libav.org/"
+DOWNLOAD="https://libav.org/releases/libav-11.4.tar.gz"
+MD5SUM="133fab51636f47d01c25b80f33f6ae3f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/multimedia/libav/slack-desc b/multimedia/libav/slack-desc
new file mode 100644
index 0000000000..ef8898c830
--- /dev/null
+++ b/multimedia/libav/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libav: libav (Open source audio and video processing tools)
+libav:
+libav: Libav is a friendly and community-driven effort to provide its users
+libav: with a set of portable, functional and high-performance libraries
+libav: for dealing with multimedia formats of all sorts. It originates from
+libav: the FFmpeg codebase, but goes its own way these days, providing its
+libav: users with reliable releases and a clear vision how to go forward.
+libav:
+libav: Homepage: https://libav.org/
+libav:
+libav: